cURL
curl --request GET \
--url https://app.teable.ai/api/billing/subscription/summary \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/billing/subscription/summary';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/billing/subscription/summary',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/billing/subscription/summary", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
[
{
"spaceId": "<string>",
"appSumoTier": 1
}
]billing
Get billingsubscriptionsummary
Retrieves a summary of subscription information across all spaces
GET
/
billing
/
subscription
/
summary
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Returns a summary of subscription information for each space.
Available options:
active, canceled, incomplete, incomplete_expired, trialing, past_due, unpaid, paused, seat_limit_exceeded Available options:
free, pro, business, enterprise appSumoTier
Option 1 · enum<number>Option 2 · enum<number>Option 3 · enum<number>Option 4 · enum<number>
Available options:
1 Last modified on March 5, 2026
Was this page helpful?
⌘I

